"""
 This file is part of Space Robodyssey.

    Space Robodyssey is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Space Robodyssey is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Space Robodyssey.  If not, see <http://www.gnu.org/licenses/>.
"""
#!/bin/env python 
import sys
from lib.robots import main
supported_resolutions = [[640,480],[800,600],[1024,768]]

if __name__=='__main__':
    l = len (sys.argv) 
    fs = False
    print_usage = True
    for a in sys.argv:
        if (a == "fullscreen"):
            fs = True
            sys.argv.remove(a)
            l = len (sys.argv) 
    if (l == 1):
        main([640,480],fullscreen=fs)
        print_usage=False
    if (l >= 2):
        res = sys.argv[1].split("-")
        if (len (res) == 2):
            x,y = int(res[0]),int(res[1])
            if ([x,y] in supported_resolutions):
                main([x,y],fullscreen=fs)
                print_usage=False

    
    if print_usage:
        print "usage: python run_game.py [x-y] [fullscreen] "
        print ""
        print "Supported resolution:"
        for r in supported_resolutions:
            print r
        