#!/usr/bin/env python

import sys

MAPPINGS = {
    "14": "#",
    "15": " "
}

def main():
    args = sys.argv[1:] 
    if len(args) == 0:
        return
    fp = open(args[0])
    wfp = open(args[1], "w")
    # Skip the first and last lines
    lines = fp.readlines()[1:-2]
    height = len(lines)
    width = 0
    fp.close()
    
    for line in lines:
        # Skip the stuff at the start and end
        line = line.strip()[2:-2]
        tiles = line.strip().split(",")
        if width == 0:
            width = len(tiles)
            wfp.write("%s, %s\n" % (width, height))
        wfp.write("%s\n" % "".join([MAPPINGS[i.strip()] for i in tiles]))

    wfp.close()

if __name__ == '__main__':
    main()
