#Animators
import random
from renderer import *
import renderer

logic_tick_period = 0

def set_logic_tick_period (ltp):
    global logic_tick_period
    logic_tick_period = ltp


class animator:
    object = 0
    
    def draw (self):
        pass
        
class moving_box_animator (animator):
    apparent_pos = [0,0,0]
    def __init__ (self,object):
        self.object = object
    
    def draw (self,phase,tick): #phase is 0 to (logic_tick_period-1) and indicates how far through the current anim cycle we are
        if (self.object.moving):
            old_pos = self.object.old_pos
            self.apparent_pos = [p+d*float(phase)/logic_tick_period for p,d in zip (old_pos,self.object.get_dir())]+[0]
        else:
            self.apparent_pos = self.object.get_pos()+[0]

        #draw_coloured_square (self.apparent_pos,self.object.get_colour())
        #draw_box(self.apparent_pos,self.object.get_colour())
        draw_box(self.apparent_pos,[1,1,1])
        
class moving_box_with_blink (moving_box_animator):
    random_offset = 0
    def __init__ (self,object):
        self.object = object
        self.random_offset = random.randint(0,1000)
    
    def draw (self,phase,tick): 
        moving_box_animator.draw(self,phase,tick) #let the base draw the box
        blink = self.apparent_pos
        blink[2]+=0.6
        renderer.bind_texture ("metal2")
        if ((tick+self.random_offset) % 50 < 20): #tick is just tick time and unrelated to phase
            draw_box(blink,[1,0,0],0.2)
        else:
            draw_box(blink,[0.5,0.5,0.5],0.2)
        

        
        
